# -*- encoding : utf-8 -*-

class Public::MOdrRepRibsController < ApplicationController
  layout "public"
 
  
  def index
    @m_odr_rep_ribs = current_p_customer.m_odr_rep_ribs.all

    @m_odr_rep_ribs = sort_by_sorting(@m_odr_rep_ribs, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @m_odr_rep_ribs = @m_odr_rep_ribs.page(page).per(per_page)
      
      }
    end
  end

  def show
    #@m_odr_rep_rib = MOdrRepRib.find(params[:id])

  end

  def new
    @m_odr_rep_rib = current_p_customer.m_odr_rep_ribs.new
  
  end

  def edit
    @m_odr_rep_rib = current_p_customer.m_odr_rep_ribs.find(params[:id])
    
  end

  def create
    @m_odr_rep_rib = current_p_customer.m_odr_rep_ribs.new(params.require(:m_odr_rep_rib).permit!)

    @m_odr_rep_rib.p_customer = current_p_customer

    if @m_odr_rep_rib.save
      redirect_to public_my_account_path, :notice => "Merci d'avoir ajouté votre RIB"
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_rep_rib = current_p_customer.m_odr_rep_ribs.find(params[:id])
    @m_odr_rep = @m_odr_rep_rib.m_odr_rep

    if @m_odr_rep_rib.update_attributes(params.require(:m_odr_rep_rib).permit!)
      redirect_to public_my_account_path, :notice => "Votre RIB a bien été modifié"
    else
     render action: "edit" 
      
    end
      
  end

  
end
